<?php
/**
 * The template for displaying search results pages
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#search-result
 *
 * @package Spiral_Lite_One_Page
 */

get_header();
?>

<?php $header_image_url = get_header_image(); // Retrieve the default header image

// If the header image is not set, use a fallback
if (!$header_image_url) {
	$header_image_url = get_template_directory_uri() . '/images/bg.jpg';
	// Default image URL
} ?>
<div class="parallax-blog" data-overlay-dark="4" style="background-image: url(<?php echo esc_url($header_image_url); ?>);"> </div>
  <section id="primary" class="blog section">
	<div class="container">        
            <div class="row">
                <div class="col-xl-9 col-lg-8">

		<?php if ( have_posts() ) : ?>
			<div class="post">
			<div class="entry-title">
				<h2>
					<?php
					/* translators: %s: search query. */
					printf( esc_html__( 'Search Results for: %s', 'spiral-lite-one-page' ), '<span>' . get_search_query() . '</span>' );
					?>
				</h2>
			</div><!-- .page-header -->
		</div>
			<?php
			/* Start the Loop */
			while ( have_posts() ) :
				the_post();

				/**
				 * Run the loop for the search to output the results.
				 * If you want to overload this in a child theme then include a file
				 * called content-search.php and that will be used instead.
				 */
				get_template_part( 'template-parts/content', 'search' );

			endwhile;

			the_posts_navigation();

		else :

			get_template_part( 'template-parts/content', 'none' );

		endif;
		?>

</div> <!-- #end col -->

<?php wp_reset_postdata(); ?>
<div class="col-xl-3 col-lg-4"><?php get_sidebar(); ?></div>

        </div> <!-- #end row -->
    </div> <!-- #end container -->
	</section><!-- #end blog -->

<?php get_footer();
